Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.config
Class MapFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          org.springframework.beans.factory.config.MapFactoryBean

All Implemented Interfaces:
  BeanFactoryAware, DisposableBean, FactoryBean, InitializingBean

    public class MapFactoryBean

extends AbstractFactoryBean

Simple factory for shared Map instances. Allows for central setup of Maps via the "map" element in XML bean definitions.

Since:
  09.12.2003
Author:
  Juergen Hoeller
See Also:
  `SetFactoryBean`, `ListFactoryBean`

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`MapFactoryBean()`

Method Summary
`protected Object` | `createInstance()` Template method that subclasses must override to construct the object returned by this factory.
`Class` | `getObjectType()` This abstract method declaration shadows the method in the FactoryBean interface.
`void` | `setSourceMap(Map sourceMap)` Set the source Map, typically populated via XML "map" elements.
`void` | `setTargetMapClass(Class targetMapClass)` Set the class to use for the target Map.

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFactoryBean

    public MapFactoryBean()

Method Detail

### setSourceMap

    public void setSourceMap(Map sourceMap)

  Set the source Map, typically populated via XML "map" elements.

### setTargetMapClass

    public void setTargetMapClass(Class targetMapClass)

  Set the class to use for the target Map. Can be populated with a fully qualified class name when defined in a Spring application context.

  Default is a linked HashMap, keeping the registration order. If no linked Map implementation is available, a plain HashMap will be used as fallback (not keeping the registration order).

  See Also:
    `CollectionFactory.createLinkedMapIfPossible(int)`

### getObjectType

    public Class getObjectType()

  Description copied from class: `AbstractFactoryBean`
  This abstract method declaration shadows the method in the FactoryBean interface. This is necessary to make the `getEarlySingletonInterfaces` implementation in this class work on Sun's JDK 1.3 classic VM, which can't find the method when executing `getEarlySingletonInterfaces` else.

  Specified by:
    `getObjectType` in interface `FactoryBean`
  Specified by:
    `getObjectType` in class `AbstractFactoryBean`
  Returns:
    the type of object that this FactoryBean creates, or `null` if not known at the time of the call
  See Also:
    `FactoryBean.getObjectType()`, `AbstractFactoryBean.getEarlySingletonInterfaces()`

### createInstance

    protected Object createInstance()

  Description copied from class: `AbstractFactoryBean`
  Template method that subclasses must override to construct the object returned by this factory.

  Invoked on initialization of this FactoryBean in case of a singleton; else, on each `AbstractFactoryBean.getObject()` call.

  Specified by:
    `createInstance` in class `AbstractFactoryBean`
  Returns:
    the object returned by this factory
  See Also:
    `AbstractFactoryBean.getObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.